Name: dcbd
Summary: Intel(R) EEDC Connection
Version: 0.7.14
Release: 1
Source: %{name}-%{version}.tar.gz
Vendor: Intel Corporation
License: GPL
ExclusiveOS: linux
Group: System Environment
Provides: %{name}
URL: http://www.intel.com/network/connectivity/products/server_adapters.htm
BuildRoot: %{_tmppath}/%{name}-%{version}-root
# do not generate debugging packages by default - newer versions of rpmbuild
# may instead need:
#%define debug_package %{nil}
%debug_package %{nil}
Requires: kernel, fileutils, findutils, gawk, bash

%description
This package contains the Linux user space daemon and configuration tool for Intel Enhanced Ethernet for the Data Center software.

%prep

%setup -q

%build
mkdir -p %{buildroot}
make INSTALL_MOD_PATH=%{buildroot} install

%install

test -f /etc/init.d/dcbd && service dcbd stop
test -f /etc/init.d/dcbd && chkconfig --del dcbd

%clean
rm -rf %{buildroot}

%files
/usr/sbin/dcbd
/usr/sbin/dcbtool
/etc/init.d/dcbd
%dir /etc/sysconfig/dcbd

%defattr(-,root,root)
%doc COPYING
%doc README

%post
chkconfig --add dcbd
service dcbd start

%preun
(test -f /etc/init.d/dcbd && service dcbd stop) || true
(test -f /etc/init.d/dcbd && chkconfig --del dcbd) || true

%postun
rm -fr /etc/sysconfig/dcbd

